<?php
require_once "../../functions.php";
$pag = basename($_SERVER['PHP_SELF']);
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
gen_plantilla(true, $pag, false, false, '', false, false);

$id =  filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
$nota = filter_input(INPUT_POST, "nota", FILTER_SANITIZE_SPECIAL_CHARS);

if (!consulta("UPDATE registros SET `nota`=? WHERE id=?;", [$nota, $id], false)) {
    crear_log(
        "error",
        "Error en la consulta",
        $pag,
        "No se ha podido actualizar la nota, porque ha ocurrido un error en la consulta."
    );
    crear_notificacion("error", "No se ha podido actualizar la nota");
} else {
    crear_log(
        "info",
        "Nota actualizada",
        $pag,
        "Se ha actualizado la nota del registro con id <b>[$id]</b>."
    );
    crear_notificacion("correcto", "Nota actualizada");
}
